%define anolis_release 1

Summary:    X property display utility
Name:       xprop
Version:    1.2.6
Release:    %{anolis_release}%{?dist}
License:    MIT
URL:        http://www.x.org

Source0:    https://www.x.org/pub/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  gcc make
BuildRequires:  gettext-devel
BuildRequires:  libtool

BuildRequires:  pkgconfig(x11)

Obsoletes: xorg-x11-utils < 7.5-39

%description
The xprop utility is for displaying window and font properties in an X server.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install
%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/xprop
%{_mandir}/man1/xprop.1*

%files doc
%doc README.md

%changelog
* Thu Mar 23 2023 happy_orange <songnannan@linux.alibaba.com> - 1.2.6-1
- init package from upstream
